import { Position, Range, Location } from 'vscode-languageserver-types';
import { Comparable, CompareValue } from '@composita/ts-utility-types';
export declare class SourcePosition implements Position, Comparable<Position> {
    line: number;
    character: number;
    constructor(line: number, character: number);
    static from(other: Position): SourcePosition;
    compareTo(other: Position): CompareValue;
}
export declare class SourceRange implements Range {
    start: Position;
    end: Position;
    constructor(start: Position, end: Position);
    static merge(a: Range, b: Range): SourceRange;
}
export declare class SourceLocation implements Location {
    uri: string;
    range: SourceRange;
    constructor(uri: string, range: SourceRange);
    static merge(a: Location, b: Location): SourceLocation;
}
//# sourceMappingURL=location.d.ts.map